@echo off
cd /d "%~dp0"
if NOT "%cd%"=="%cd: =%" (
   echo El directorio actual contine espacios en el path.
   echo Este comando debe estar en un path que no contenga espacios. 
   rundll32.exe cmdext.dll,MessageBeepStub
   pause
   echo.
   goto :EOF
)

if {%1} EQU {[adm]} goto :data
REG QUERY HKU\S-1-5-19\Environment >NUL 2>&1 && goto :data

set command="""%~f0""" [adm] %*
setlocal enabledelayedexpansion
set "command=!command:'=''!"

powershell -NoProfile Start-Process -FilePath '%COMSPEC%' ^
-ArgumentList '/c """!command!"""' -Verb RunAs 2>NUL
goto :EOF

:data
setlocal enabledelayedexpansion
if {%1} EQU {[adm]} (
   set adm=%1
   shift
) ELSE (set adm=)

:cuerpo
REM ==============================================
@echo off

set "msiPath=Binarios\GestionaEnvia_Setup64_v2.0.msi"

REM Instalar el archivo .msi
msiexec.exe /i "%msiPath%"

REM Copiar el archivo cacerts
copy "Binarios\cacerts" "C:\Program Files\GestionaEnvia\runtime\jre\lib\security"
REM ==============================================




REM ==============================================
:fin
if {%adm%} EQU {[adm]} (
   echo.
   echo [Pulse s para salir]
   choice /c s /n
)